# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

if [[ "${PV}" -eq 9999 ]] ; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/BjoernDaase/noannoyance.git"
else
	: # No releases yet
fi

DESCRIPTION="Gnome extension to remove 'Window is ready' notifications"
HOMEPAGE="https://github.com/BjoernDaase/noannoyance"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="
	>=gnome-base/gnome-shell-3.30"
DEPEND="${RDEPEND}"

GNOME_EXT_UUID="${PN}@daase.net"

src_install() {
	insinto "/usr/share/gnome-shell/extensions/${GNOME_EXT_UUID}"
	doins "extension.js" "metadata.json"
}
